import styled from "styled-components";

import { Container } from "../../components/Container";
import { DataSheet } from "../../components/DataSheet/";

const headerConfig = {
  columnName: [
    "ID",
    "NAME",
    "SURNAME",
    "DATE OF BIRTH",
    "POSITION",
    "PHONE NUMBER",
    "STATUS",
  ],
};

const EMPLOYEES = [
  {
    id: "004380",
    name: "Murad",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "iOS Developer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004381",
    name: "Asim",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Backend Developer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004382",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004383",
    name: "Murad",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "iOS Developer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004384",
    name: "Asim",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Backend Developer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004385",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004386",
    name: "Murad",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "iOS Developer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004387",
    name: "Asim",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Backend Developer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004388",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004389",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004390",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004391",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004392",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004393",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004394",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004395",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004396",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004397",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004398",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004399",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004400",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004401",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004402",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004403",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004404",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004405",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004406",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004407",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004408",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004409",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
  {
    id: "004410",
    name: "Ferid",
    surName: "Huseynli",
    dateOfBirth: "20.05.1998",
    position: "Junior QA Engineer",
    phone: "+994508254658",
    status: "Original",
  },
];

export const Home = () => {
  return (
    <Main>
      <Container>
        <DataSheet headers={headerConfig} data={EMPLOYEES} />
      </Container>
    </Main>
  );
};

const Main = styled.div`
  width: 90%;
  height: 80vh;
  margin: 30px auto;
`;
